Bug 105844 - openldap bad source code
openldap bad source code
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-28 07:26 EDT by d.binderman
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 01:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-09-28 07:26:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I just tried to compile package openldap-2.0.27-8 from Redhat 9.0
with compiler flag -Wall.

The compiler said

../db_load/db_load.c:810: warning: operation on `instr' may be undefined

The source code is

                        c = digitize(dbenv, *instr, &e1) << 4 |
                            digitize(dbenv, *++instr, &e2);

You would be better off with

                        c = digitize(dbenv, *instr, &e1) << 4 |
                            digitize(dbenv, *(instr + 1), &e2);
                        ++instr;

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile with -Wall.
2.
3.
    

Additional info
Comment 1 John Thacker 2006-04-22 01:17:35 EDT
This kind of bug is best filed with the upstream developers.  It is unlikely
that Fedora will patch for this type of thing.

Note You need to log in before you can comment on or make changes to this bug.